TONTONDocs
TON CenterAPI referenceJSON-RPC

JSON-RPC endpoint

Invoke any API v2 method through the single JSON-RPC 2.0 endpoint.

POST
/api/v2/jsonRPC
*object
object

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/jsonRPC" \  -H "Content-Type: application/json" \  -d '{    "jsonrpc": "2.0",    "id": "1",    "method": "getMasterchainInfo",    "params": {}  }'
{
  "ok": true,
  "result": {},
  "@extra": "string",
  "jsonrpc": "string",
  "id": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "params must contain an object"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 500,
  "error": "Exit code <N> != 0"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on

On this page

No Headings